## kopanocore 8.7.0

=== ECtools/backup/requirements.txt ===
MAPI
bsddb3
kopano

=== ECtools/migration-pst/requirements.txt ===
MAPI
kopano

=== ECtools/rest/requirements.txt ===
falcon
prometheus_client
setproctitle
bjoern
bsddb3
ujson
pytz
dateutil
requests
kopano
MAPI
jsonschema

=== ECtools/search/requirements.txt ===
bsddb3
kopano
xapian

=== ECtools/spamd/requirements.txt ===
kopano
bsddb3

=== swig/python/kopano/requirements.txt ===
pytz
dateutil
PIL
MAPI

## kopanocore 8.1.0

=== debian/changelog ===
kopanocore (8.1.0-3ubuntu5) artful; urgency=medium

  * No-change rebuild for GCC 7 abi mangling change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Aug 2017 15:18:15 +0000

kopanocore (8.1.0-3ubuntu4) artful; urgency=medium

  * Cherrypick upstream patch to fix ftbfs with new libmime.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Jul 2017 17:53:49 +0100

kopanocore (8.1.0-3ubuntu3) artful; urgency=medium

  * Rebuild against new libgsoap-2.8.49.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 08:30:35 +0200

kopanocore (8.1.0-3ubuntu2) artful; urgency=medium

  * No-change rebuild against libvmime1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 25 Jun 2017 08:21:24 +0000

kopanocore (8.1.0-3ubuntu1) artful; urgency=medium

  * d/control, d/rules: bump version to PHP 7.1.
  * d/p/OpenSSL-Make-SSLv2-conditional.patch
    - Fix logical error in patch (Debian Bug: #861849).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 03 May 2017 15:19:27 -0700

kopanocore (8.1.0-3) unstable; urgency=medium

  [ Guido Günther ]
  * [6480d2c] Add db_stop calls to avoid hangs in postinst
  * [8dc1334] autopkgtests: Move test output past package installation so it's
    simpler to grasp whats being tested.

  [ Mark Dufour ]
  * [e6170d3] debian/copyright: add some still missed files.
    Copyright information for some subfolders in swig/ differs from the other
    Kopano source files.
    Some parts of swig/python/kopano/kopano/__init__.py are written by other
    authors than Kopano.
    Reorder the licenses in alphabetical order.
  * [a9b88b0] rename package kopano-search-plus to kopano-search.

  [ Carsten Schoenert ]
  * php7.0-mapi: use dh-php.
  * [85aec63] Fix segfault on cleanup. New patch:
    remove-undocummented-sk_SSL_COMP_free-call.patch

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Jan 2017 13:59:07 +0100

kopanocore (8.1.0-2) unstable; urgency=medium

  [ Guido Günther ]
  * [d8ac69c] Add README.source
  * [43106e0] Add links to alioth and upstream
  * [b673725] gbp.conf: Switch to upstream/latest
  * [4793176] autopkgtests: install kopano-backup and be less verbose
  * [4ca7a79] Unbreak backup test by using an existing user

  [ Mark Dufour ]
  * [51b8d14] add basic user backup/restore test for kopano-backup
  * [9490f3d] kopanocore: enable configure switch for using PHP7.

  [ Carsten Schoenert ]
  * [bdac342] kopano-utils.install: Install kopano-cachestat
    (Closes: #842357)
  * [5d9e3a0] d/rules: be less verbose while dh_install.
  * [6fabdfa] d/control: update mysql-client related Build-Depends.
  * [45912cb] d/control: adding some versioned depends on lsb-base.
  * [2263a17] d/control: update Recommends and Depends on mysql-{client,server}
  * [decea40] kopano-*.{install,links}: moving dh sequencer more to M-A.
  * [538c362,a8617f1] Update patches:
       Replace use-changed-function-name-after-gsoap-2.8.35.patch
       with build-support-gsoap-2.8.36.patch from upstream
    New patches:
       - fixup-spelling-issues-against-8.1.0.patch
       - kopano-cachestat-update-docstring-remove-diff-function.patch
       - adjust-search-path-for-php-config-script-on-php7.0.patch
       - change-shebang-to-usr-bin-php7.0.patch
       - OpenSSL-Make-SSLv2-conditional.patch
  * [d43221d] Add lintian override for 'Nam' which is a Vietnamese word
  * [a02a65f,82b7164,9940348] Swith to PHP7

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Dec 2016 19:52:54 +0100

kopanocore (8.1.0-1) unstable; urgency=medium

  [ Jelle van der Waa ]
  * [d221042] Do not install non-existant zarafa-ws initscripts

  [ Carsten Schoenert ]
  * [9ec08e8] d/copyright: add missed info for MIT licensed file.
    Thanks: Luke Faraone
  * [043d4ba] d/copyright: restructure the Expat license
  * [08659c2] d/copyright: add MPL-1.1 license text
  * [d09487c] d/gbp.conf: add content to filter for import
  * [090b6ee] Import Upstream version 7.2.3.657+dfsg1
  * [fb14761] Update patches:
    added:
       adding-.NOTPARALLEL-target-to-swig-python-Makefiel.am.patch
       adding-additional-c-flags-for-C-11.patch
       adding-additional-changes-due-gsoap-2.8.30.patch
       bash-completion-remove-shebang-from-file.patch
       use-changed-function-name-after-gsoap-2.8.35.patch
    removed:
       Remove-archiver-related-code.patch
       Remove-references-to-licensed.patch
       Rename-libmapi-to-libzarafa_mapi.patch
       adding-additional-c-flags-for-C-11.patch
       adding-additional-changes-due-gsoap-2.8.30.patch
    changed patches (partially adopted upstream):
       Be-pessimistic-about-daemon-startup.patch
       Run-deamons-as-user-group-kopano.patch
  * [3995a58] debian/control: add xmlto to Build-Depends
  * [494dbd0] debian/zarafa-libs.install: add new libzcp_py*.so.* libs
  * [f99ae76] debian/zarafa-dev.install: add new libzcp_py*.so libs
  * [24f145d] debian/rules: override for dh_shlibdeps.  Otherwise not all
    related libraries will be found.
  * [6e0e785] debian/gbp.conf: prepare config for kopano 8.0
  * [f17c04f] Import upstream version 8.0.1
  * [754d187] debian/control: switch from Zarafa to Kopano naming.
  * [8647842] debian/compat: use dh 9 compat
  * [57292e9] debian/copyright: update based on recent upstream version
  * [5ad12a7] debian/rules: adopt zarafa to kopano specific name change.
  * [69a6e97] debian/rules: enable the hardening functionality (partially)
  * [184d3a8] kopano-server: create /var/run/kopano before starting.
  * [5826098] kopano-server: applying M-A paths for plugins in server.cfg.
  * [b18ddf1] debian/kopano-server: remove no longer used directory.
  * [42c6766] New upstream version 8.1.0
  * [38bcad1] debian/control: add versioned B-D if libgsoap-dev.

  [ Guido Günther ]
  * [1f9d92d] Ship kopano-backup as well
  * [985bed1] Ship kopano-archiver as well
  * [4423913] d/control: Remove unneeded Testsuite: field
  * [1a8d414] d/control: Rename to Kopano Core
  * [cc5f0a1] Drop debug package in favour of autogenerated dbgsyms


=== debian/control ===
Source: kopanocore
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
 Matthias Geerdsen <matthias@vorlons.info>,
 Mark Dufour <m.dufour@zarafa.com>,
 Guido Günther <agx@sigxcpu.org>
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1:1.9),
 autotools-dev,
 binutils (>= 2.12.90.0.9),
 bison,
 debhelper (>= 9.20160115),
 default-libmysqlclient-dev,
 dh-autoreconf,
 dh-exec,
 dh-php,
 dh-systemd (>= 1.5),
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 gsoap,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-thread-dev,
 libcurl4-openssl-dev,
 libgoogle-perftools-dev,
 libgsoap-dev (>= 2.8.35),
 libical-dev,
 libicu-dev,
 libkrb5-dev,
 libldap2-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpam0g-dev,
 libssl-dev,
 libtool (>= 1.5),
 libvmime-dev,
 libxml2-dev,
 m4,
 php7.1-dev,
 pkg-config (>= 0.18),
 python-dev,
 swig,
 uuid-dev,
 xmlto,
 zlib1g-dev,
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-giraffe/kopanocore.git/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-giraffe/kopanocore.git/
Homepage: https://download.kopano.io/community/
X-Python-Version: 2.7

Package: kopano-libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Complete and feature rich groupware solution - Free/Busy library
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the shared libraries of server and client.

Package: kopano-core
Architecture: all
Depends: kopano-server (>= ${source:Version}),
 kopano-archiver (>= ${source:Version}),
 kopano-backup (>= ${source:Version}),
 kopano-utils (>= ${source:Version}),
 kopano-monitor (>= ${source:Version}),
 kopano-spooler (>= ${source:Version}),
 kopano-dagent (>= ${source:Version}),
 kopano-ical (>= ${source:Version}),
 kopano-gateway (>= ${source:Version}),
 kopano-search (>= ${source:Version}),
 ${misc:Depends},
Suggests: kopano-webapp
Description: Metapackage for the Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This metapackage contains the dependencies to pull in all important parts of
 Kopano Core.

Package: kopano-archiver
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (>= ${source:Version})
Description: Complete and feature rich groupware solution - archiver
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the archiver.

Package: kopano-backup
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
 python-kopano (>= ${source:Version}),
 kopano-common (>= ${source:Version})
Description: Complete and feature rich groupware solution - backup
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the backup facilities.

Package: kopano-common
Architecture: any
Depends: ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - common files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains some files common to all packages.

Package: kopano-contacts
Architecture: any
Depends: ${shlibs:Depends},
 locales,
 ${misc:Depends},
Description: Complete and feature rich groupware solution - contact mapi provider
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides adding contact folders in the addressbook.

Package: kopano-dev
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Description: C++ Development files and libraries for Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides development files to create programs for use with Kopano
 Core.

Package: kopano-dagent
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 php7.1-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - delivery agent
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email delivery agent that delivers incoming
 email from you SMTP server to the Kopano server.

Package: kopano-gateway
Architecture: any
Suggests: python-mapi
Depends: ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 ${misc:Depends},
Description: Complete and feature rich groupware solution - POP3 and IMAP gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the POP3 and IMAP protocols.

Package: kopano-ical
Architecture: any
Depends: ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 ${misc:Depends},
Description: Complete and feature rich groupware solution - CalDAV and CalDAV gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the CalDAV and CardDAV protocols.

Package: kopano-l10n
Architecture: all
Depends: locales,
 ${misc:Depends},
Description: Complete and feature rich groupware solution - l10n files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the translations in several languages.

Package: kopano-monitor
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 php7.1-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - quota monitor
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the quota monitor that checks stores for total usage
 and alerts users by email.

Package: kopano-search
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 bash (>= 3.0),
 catdoc,
 coreutils (>= 5.93),
 file,
 gawk,
 lsb-base,
 mktemp (>= 1.5),
 poppler-utils,
 python,
 python-xapian,
 python-kopano (>= ${source:Version}),
 unzip,
 w3m,
 xsltproc,
 kopano-common (>= ${source:Version})
Description: Complete and feature rich groupware solution - indexer
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the search indexer using xapian.

Package: kopano-server
Architecture: any
Depends: ${shlibs:Depends},
 dbconfig-common,
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 mariadb-client | default-mysql-client | virtual-mysql-client,
 ${misc:Depends},
Recommends: mariadb-server | default-mysql-server
Description: Complete and feature rich groupware solution - server component
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the core server component that connects to gateways
 (like the imap gateway) or the web gui connect to.

Package: kopano-spooler
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 lsb-base (>= 3.0-6),
 kopano-common (= ${binary:Version}),
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - email spooler
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email spooler that forwards emails from the
 Kopano server to an SMTP server.

Package: kopano-utils
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 python,
Description: Complete and feature rich groupware solution - admin tools
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the command line tools for server administration.

Package: python-mapi
Architecture: any
Section: python
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
XB-Python-Version: ${python:Versions}
Description: Complete and feature rich groupware solution - Python MAPI bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which use MAPI
 calls to interact with Kopano.

Package: python-kopano
Architecture: all
Section: python
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${python:Depends},
 python-mapi,
XB-Python-Version: ${python:Versions}
Description: Complete and feature rich groupware solution - Python bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which access the
 Kopano server using a higher level abstraction than python-mapi
 provides.

Package: php7.1-mapi
Architecture: any
Section: php
Depends: ${shlibs:Depends},
 ${php:Depends},
 ${misc:Depends},
Description: Complete and feature rich groupware solution - PHP MAPI bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create PHP programs which use MAPI
 calls to interact with Kopano.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_RELEASE=$(shell dpkg-parsechangelog -SVersion | sed 's/[^-]\+-//')
DEB_UVERSION=$(shell  dpkg-parsechangelog -SVersion)
DEB_BUILD_DIR=debian/build

INSTDIR=$(CURDIR)/debian/tmp
PHPVERSION=7.1
SMARTYVER=2.6.14

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFFLAG = ""
else
	CONFFLAG = "--enable-release"
endif

DEB_CONFIGURE_EXTRA_ARGS :=      \
    --host=$(DEB_HOST_GNU_TYPE) \
    --build=$(DEB_BUILD_GNU_TYPE) \
    --with-distro=debian \
    --prefix=/usr \
    --localstatedir=/var \
    --sysconfdir=/etc \
    --mandir=\$${prefix}/share/man \
    --infodir=\$${prefix}/share/info \
    --with-userscript-prefix=/etc/kopano/userscripts \
    --with-quotatemplate-prefix=/etc/kopano/quotamail \
    --disable-static \
    --disable-tcmalloc \
    --enable-epoll \
    --enable-unicode \
    --enable-python \
    --enable-swig \
    --with-php-config=/usr/bin/php-config$(PHPVERSION) \
    $(CONFFLAG) \
    $(NULL)

%:
	dh $@ --builddirectory=$(DEB_BUILD_DIR) --parallel --with systemd,autoreconf,php

override_dh_auto_configure:
	echo ${DEB_UVERSION} > $(CURDIR)/revision
	[ -x ./bootstrap.sh ] && ./bootstrap.sh || true
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/kopano-contacts.install.in > debian/kopano-contacts.install
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/kopano-dev.install.in > debian/kopano-dev.install
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/kopano-dev.links.in > debian/kopano-dev.links
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/kopano-libs.install.in > debian/kopano-libs.install
	sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' \
		debian/kopano-server.install.in > debian/kopano-server.install

override_dh_auto_clean:
	[ ! -f Makefile ] || dh_auto_clean

override_dh_install:
	# Install docs
	$(MAKE) DESTDIR=$(INSTDIR) install -C $(DEB_BUILD_DIR)/swig/python/kopano
	$(MAKE) DESTDIR=$(INSTDIR) install-man1 -C $(DEB_BUILD_DIR)/doc
	# Don't ship any .la files
	rm -f $(INSTDIR)/usr/lib/*/*.la
	# Make sure docs end up in kopano-server
	mv $(INSTDIR)/usr/share/doc/kopano $(INSTDIR)/usr/share/doc/kopano-server

	# since this is not linked to an initscript anymore, install the file ourselves.
	mkdir -p $(INSTDIR)/etc/default
	install -o root -g root -m 644 debian/kopano-common.kopano.default $(INSTDIR)/etc/default/kopano

	# dbconfig-common
	mkdir -p $(INSTDIR)/usr/share/kopano/debian
	cp -a debian/sql/debian-db.cfg.template $(INSTDIR)/usr/share/kopano/debian

	# remove compiled python files
	find $(INSTDIR) -name \*.pyc -exec rm {} \;

	# add php:Depends
	echo "php:Depends=phpapi-$(shell php-config$(PHPVERSION) --phpapi)" > debian/php$(PHPVERSION)-mapi.substvars

	# adjust server.cfg to multi-arch behavior
	sed -i 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/' $(INSTDIR)/etc/kopano/server.cfg
	dh_install

override_dh_installinit:
	dh_installinit --name kopano-server
	dh_installinit --name kopano-spooler
	dh_installinit --name kopano-dagent
	dh_installinit --name kopano-gateway
	dh_installinit --name kopano-monitor
	dh_installinit --name kopano-ical
	dh_installinit --name kopano-search

override_dh_compress:
	dh_compress -X.py -X.pl

override_dh_makeshlibs:
	dh_makeshlibs -O--builddirectory=$(DEB_BUILD_DIR) -O--parallel \
		-Xdbplugin \
		-Xldapplugin \
		-Xlibkcclient \
		-Xlibkccontacts \
		-Xunixplugin

=== debian/watch ===
version=3

opts="uversionmangle=s/\.-RC/~rc/;s/.[0-9]+$//;s/$/+dfsg1/" \
  http://download.zarafa.com/community/final/7.2/\d\.\d\.(?:\d|(?:\d{2}))-(.+)/sourcecode/zarafa-(\d\.\d\.\d)-(.+)\.tar\.gz

## kopanocore 8.5.5

=== debian/changelog ===
kopanocore (8.5.5-0ubuntu1) bionic; urgency=medium

  * Merge with Debian 8.5.4-1 and upstream 8.5.5 (LP: #1758020).
    Remaining changes:
    - d/control: add a transitional package for the php7.1-mapi to
      php-mapi rename (can be dropped >18.04) (LP 1733572).
  * Dropped Changes (in Debian):
    - allow to read (file_mprotect) for kopano-server
    - allow server to reach mysql.sock (follow disconnects)
    - d/apparmor/usr.sbin.kopano-server: allow (read only) on some proc
      entries for new features in 8.5.2
  * Added Changes:
    - kopano-libs.symbols: update symbols to 8.5.5 (can be dropped on next
      merge/sync)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 22 Mar 2018 12:14:24 +0100

kopanocore (8.5.4-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [820314e] New upstream version 8.5.4
  * [7b74a9a] rebuild patch queue from patch-queue branch
    Removing a patch which was needed after importing of 8.5.3 t get the
    binaries built from the source.

  [ Christian Ehrhardt ]
  * [b3994d1] fix apparmor deny on mprotect
  * [f228f92] fix apparmor deny due to disconnected path
  * [2d9e11b] allow (read only) on some proc entries for new features in 8.5.2

  [ Carsten Schoenert ]
  * [2a3da23] d/kopano-utils: adding man page to the install
  * [27fa323] kopano-libs.symbols: update symbols to 8.5.4

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Mar 2018 18:10:05 +0100

kopanocore (8.5.3-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [23de50a] New upstream version 8.5.3
  * [6dfed86] rebuild patch queue from patch-queue branch
  * [794ad2e] kopano-libs.symbols: update symbols to 8.5.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 Mar 2018 20:39:10 +0100

kopanocore (8.5.2-1ubuntu1) bionic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - allow to read (file_mprotect) for kopano-server
    - allow server to reach mysql.sock (follow disconnects)
  * Dropped Changes (in Debian or no more needed):
    - allow to read (file_mprotect) for kopano-dagent
    - allow kopano_userscripts to reach mysql.sock (follow disconnects)
    - allow kopano_dagent to reach mysql.sock (follow disconnects)
    - allow kopano_search to reach mysql.sock (follow disconnects)
    - allow dagent to reach kopano server socket
    - allow to create /var/lib/kopano/attachments
    - debian/apparmor/usr.sbin.kopano-server: use @{multiarch} instead of
      a wrongly hard-coded arch string.
    - debian/kopano-server.kopano-server.service: chown the subdirectory.
    - debian/kopano-server.dirs: create /var/lib/kopano/attachments, not just
      /var/lib/kopano.
    - d/php-mapi.php: update file paths for PHP7.1
    - d/control, d/rules: bump build-depends to PHP 7.1.
    - debian/php-mapi* renamed to debian/php7.1-mapi* (as it was before)
    - debian/control: changed name back to php7.1-mapi
    - python files were not correctly installed
      - debian/rules: add python2 to dh call to correctly render pyc files
      - debian/control: add ${python:Depends} to all packages shiping python
        files
      - add all called dh addons as build depends
  * Added Changes:
    - d/control: add a transitional package for the php7.1-mapi to
      php-mapi rename (can be dropped >18.04) (LP: #1733572).
    - d/apparmor/usr.sbin.kopano-server: allow (read only) on some proc
      entries for new features in 8.5.2

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 27 Feb 2018 14:12:30 +0100

kopanocore (8.5.2-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [dc2050f] d/watch: mangle also trailing dot sign
    A small needed adjustment to the watch files, without this the version gets
    a trailing dot appended and uscan will find always a (faked) higher
    version.
  * [2b6b5a1] New upstream version 8.5.2
  * [9cb0fb6] debian/rules: remove '--parallel' on dh $@
    No need to add '--parallel' into the main default target since we are
    using debhelper 10.
  * [ecd2b00] kopano-libs.symbols: update symbols to 8.5.2
  * [17f530c] lintian: adding additional override for kopano-libs
    Ignore the warning about the not matching soname for the package name.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Feb 2018 20:20:35 +0100

kopanocore (8.5.0-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [46d25ff] New upstream version 8.5.0
    Upstream version 8.5.0 has changes to getting successful built with
    libical3. (Closes: #883957)
  * [0006cb3] kopano-libs.symbols: update symbols to 8.5.0
  * [5df0116] Build-Depends: use php-dev instead of php7.0-dev
    We previously wanted to use PHP7.0, now that PHP7.2 has entered unstable
    and the kopanocore source is able to work also with PHP7.2 we can switch
    to virtual package php-dev. (Closes: #881010)
  * [309dc85] debian/rules: tuning the build rules a bit for using PHP7.2
    Make the build environment more flexible so we don't need to change PHP
    related versions later in various places and use instead variables for that.
  * [64f8cfb] php-mapi.php: use the provided strings from d/rules
    Make that sequencer file use the variables from above commit.

  <cherry-picked from Ubuntu>
  [ Steve Langasek ]
  * [dcddfd7] apparmor: make .so includes follow multiarch paths
  * [3acae51] debian/kopano-server.dirs: create /var/lib/kopano/attachments,
    not just /var/lib/kopano
  * [279055d] debian/kopano-server.kopano-server.service: chown the subdirectory

  <cherry-picked from Ubuntu>
  [ Christian Ehrhardt ]
  * [138b4b4] allow kopano_userscripts to reach mysql.sock (follow disconnects)
  * [2f66b8e] allow dagent to follow disconnect for mysql
  * [0f4c12a] allow search to follow disconnect for mysql
  * [b61b5b5] apparmor: allow kopano-dagent
  * [f7cbdcd] allow dagent to reach kopano server socket (Closes: #882496)

  [ Carsten Schoenert ]
  * [48c34c7] kopano-search: remove magic.py before install


=== debian/control ===
Source: kopanocore
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
 Matthias Geerdsen <matthias@vorlons.info>,
 Mark Dufour <m.dufour@kopano.com>,
 Guido Günther <agx@sigxcpu.org>
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1:1.9),
 binutils (>= 2.12.90.0.9),
 bison,
 debhelper (>= 10.8~),
 default-libmysqlclient-dev,
 dh-apparmor,
 dh-exec,
 dh-php,
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 gsoap (>= 2.8.49),
 libcurl4-openssl-dev,
 libgsoap-dev (>= 2.8.49),
 libical-dev,
 libicu-dev,
 libkrb5-dev,
 libldap2-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpam0g-dev,
 libssl-dev,
 libtool (>= 1.5),
 libvmime-dev (>= 0.9.2-4),
 libxml2-dev,
 m4,
 php-dev,
 pkg-config (>= 0.18),
 python-dev,
 swig,
 uuid-dev,
 xmlto,
 zlib1g-dev,
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/giraffe-team/kopanocore.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/kopanocore
Homepage: https://download.kopano.io/community/

Package: kopano-libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Complete and feature rich groupware solution - Free/Busy library
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the shared libraries of server and client.

Package: kopano-core
Architecture: all
Depends:
 ${misc:Depends},
 kopano-backup (>= ${source:Version}),
 kopano-dagent (>= ${source:Version}),
 kopano-gateway (>= ${source:Version}),
 kopano-ical (>= ${source:Version}),
 kopano-monitor (>= ${source:Version}),
 kopano-search (>= ${source:Version}),
 kopano-server (>= ${source:Version}),
 kopano-spooler (>= ${source:Version}),
 kopano-utils (>= ${source:Version}),
Suggests: kopano-webapp
Description: Metapackage to install the Kopano Core stack
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. By install of the additional package
 kopano-webapp it also features a modern web interface.
 .
 This metapackage contains the dependencies to pull in all important parts of
 Kopano Core.

Package: kopano-archiver
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (>= ${source:Version}),
Description: Complete and feature rich groupware solution - archiver
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the archiver.

Package: kopano-backup
Architecture: all
Depends:
 ${misc:Depends},
 kopano-common (>= ${source:Version}),
 python,
 python-dateutil,
 python-kopano (>= ${source:Version}),
Description: Complete and feature rich groupware solution - backup
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the backup facilities.

Package: kopano-common
Architecture: any
Depends:
 ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - common files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains some files common to all packages.

Package: kopano-contacts
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 locales,
Description: Complete and feature rich groupware solution - contact mapi provider
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides adding contact folders in the addressbook.

Package: kopano-dev
Conflicts: libmapi-dev
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-libs (= ${binary:Version}),
Description: C++ Development files and libraries for Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides development files to create programs for use with Kopano
 Core.

Package: kopano-dagent
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 php-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - delivery agent
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email delivery agent that delivers incoming
 email from you SMTP server to the Kopano server.

Package: kopano-gateway
Architecture: any
Suggests: python-mapi
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - POP3 and IMAP gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the POP3 and IMAP protocols.

Package: kopano-ical
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - CalDAV and CalDAV gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the CalDAV and CardDAV protocols.

Package: kopano-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 locales,
Description: Complete and feature rich groupware solution - l10n files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the translations in several languages.

Package: kopano-monitor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 php-mapi (= ${binary:Version}),
 php-cli,
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - quota monitor
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the quota monitor that checks stores for total usage
 and alerts users by email.

Package: kopano-presence
Architecture: all
Depends:
 ${misc:Depends},
 kopano-common (>= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python,
 python-flask,
 python-kopano (= ${binary:Version}),
 python-sleekxmpp,
Description: Complete and feature rich groupware solution - presence daemon
 A daemon for collecting and exporting user presence information across
 multiple protocols in a unified way.
 Supports XMPP and Spreed. Clients can both query the daemon with presence
 information (for example, the user is 'available' for XMPP and 'away' for
 Spreed) and update presence information (for example, make a user 'available'
 on Spreed). Queries and updates are performed with simple GET and PUT
 requests, respectively, using a simple (and identical) JSON format.

Package: kopano-search
Architecture: all
Depends:
 ${misc:Depends},
 catdoc,
 file,
 gawk,
 kopano-common (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 poppler-utils,
 python,
 python-dateutil,
 python-kopano (>= ${source:Version}),
 python-magic,
 python-xapian,
 unzip,
 w3m,
 xsltproc,
Description: Complete and feature rich groupware solution - indexer
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the search indexer using xapian.

Package: kopano-server
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dbconfig-common,
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 mariadb-client | default-mysql-client | virtual-mysql-client,
Recommends: mariadb-server | default-mysql-server
Description: Complete and feature rich groupware solution - server component
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the core server component that connects to gateways
 (like the imap gateway) or the web gui connect to.

Package: kopano-spooler
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - email spooler
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email spooler that forwards emails from the
 Kopano server to an SMTP server.

Package: kopano-utils
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 python,
Description: Complete and feature rich groupware solution - admin tools
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the command line tools for server administration.

Package: python-mapi
Architecture: any
Section: python
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 python,
Description: Complete and feature rich groupware solution - Python MAPI bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which use MAPI
 calls to interact with Kopano.

Package: python-kopano
Architecture: all
Section: python
Depends:
 ${misc:Depends},
 python,
 python-mapi,
Description: Complete and feature rich groupware solution - Python bindings
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 Using this module, you can create Python programs which access the
 Kopano server using a higher level abstraction than python-mapi
 provides.

Package: php-mapi
Architecture: any
Section: php
Replaces: php7.1-mapi (<< 8.5.2-1ubuntu1~)
Breaks: php7.1-mapi (<< 8.5.2-1ubuntu1~)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# getting DEB_VERSION from helper without manually parsing the changlog file
include /usr/share/dpkg/pkg-info.mk

DEB_BUILD_DIR=debian/build

INSTDIR=$(CURDIR)/debian/tmp
PHP_VERSION=7.2
PHP_API_DATE=$(shell php-config$(PHPVERSION) --phpapi)
PREPROCESS_FILES := $(wildcard debian/*.in)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CONFFLAG = ""
else
	CONFFLAG = "--enable-release"
endif

DEB_CONFIGURE_EXTRA_ARGS :=      \
    --host=$(DEB_HOST_GNU_TYPE) \
    --build=$(DEB_BUILD_GNU_TYPE) \
    --with-distro=debian \
    --prefix=/usr \
    --localstatedir=/var \
    --sysconfdir=/etc \
    --mandir=\$${prefix}/share/man \
    --infodir=\$${prefix}/share/info \
    --with-php-config=/usr/bin/php-config$(PHPVERSION) \
    --with-quotatemplate-prefix=/etc/kopano/quotamail \
    --with-userscript-prefix=/etc/kopano/userscripts \
    --disable-static \
    --enable-epoll \
    --enable-unicode \
    --with-distro=debian \
    $(CONFFLAG) \
    $(NULL)


$(PREPROCESS_FILES:.in=): %: %.in
	sed -e 's,/@DEB_HOST_MULTIARCH@,$(DEB_HOST_MULTIARCH:%=/%),g' \
	-e 's,/@PHP_VERSION@,$(PHP_VERSION:%=/%),g' \
	-e 's,/@PHP_API_DATE@,$(PHP_API_DATE:%=/%),g' $< > $@

%:
	dh $@ --builddirectory=$(DEB_BUILD_DIR) --with systemd,autoreconf,php

override_dh_auto_configure: $(PREPROCESS_FILES:.in=)
	echo ${DEB_VERSION} > $(CURDIR)/revision
	[ -x ./bootstrap.sh ] && ./bootstrap.sh || true
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)

override_dh_auto_clean:
	[ ! -f Makefile ] || dh_auto_clean

override_dh_install:
	# Install docs
	$(MAKE) DESTDIR=$(INSTDIR) install -C $(DEB_BUILD_DIR)/swig/python/kopano
	# Don't ship any .la files
	rm -f $(INSTDIR)/usr/lib/*/*.la
	rm -f $(INSTDIR)/usr/lib/*/kopano/*.la
	# Make sure docs end up in kopano-server
	mv $(INSTDIR)/usr/share/doc/kopano $(INSTDIR)/usr/share/doc/kopano-server

	# since this is not linked to an initscript anymore, install the file ourselves.
	mkdir -p $(INSTDIR)/etc/default
	install -o root -g root -m 644 debian/kopano-common.kopano.default $(INSTDIR)/etc/default/kopano

	# dbconfig-common
	mkdir -p $(INSTDIR)/usr/share/kopano/debian
	cp -a debian/sql/debian-db.cfg.template $(INSTDIR)/usr/share/kopano/debian

	# remove compiled python files
	find $(INSTDIR) -name \*.pyc -exec rm {} \;

	# add php:Depends
	echo "php:Depends=phpapi-$(PHP_API_DATE)" > debian/php$(PHP_VERSION)-mapi.substvars

	mv debian/tmp/usr/share/doc/kopano-server/example-config/*.cfg \
	   debian/tmp/usr/share/doc/kopano-server/example-config/autorespond \
           debian/tmp/etc/kopano/
	# remove magic.py, it's provided by python-magic
	rm $(INSTDIR)/usr/lib/python2.7/dist-packages/kopano_search/magic.py
	dh_install

	for p in server dagent search; do \
	  dh_apparmor --profile-name=usr.sbin.kopano-$${p} -pkopano-$${p}; \
	done

override_dh_installinit:
	dh_installinit --name kopano-server
	dh_installinit --name kopano-spooler
	dh_installinit --name kopano-dagent
	dh_installinit --name kopano-gateway
	dh_installinit --name kopano-monitor
	dh_installinit --name kopano-ical
	dh_installinit --name kopano-presence
	dh_installinit --name kopano-search

override_dh_compress:
	dh_compress -X.py -X.pl

override_dh_makeshlibs:
	dh_makeshlibs -O--builddirectory=$(DEB_BUILD_DIR) -O--parallel \
		-Xdbplugin \
		-Xldapplugin \
		-Xlibkcclient \
		-Xlibkccontacts \
		-Xunixplugin

override_dh_shlibdeps:
	dh_shlibdeps -a -l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kopano \
			-l $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/tests/control ===
Tests: smoke
Depends: python-nose
Restrictions: allow-stderr,
 needs-root,

=== debian/watch ===
# watch file for kopanocore from Kopano
#
# Kopano is mirroring some of their git trees on GitHub, also kopanocore.
# That's makes it a lot easier to use uscan for tracking new upstream versions.
#
# Release Tags are signed by OpenPGP key 0x6A3933DA297DFB7D from Jan Engelhard
#               Fingerprint  2F8B FE96 D14F 8B56 0FBC 1F1D A28B DFEE B5A2 B2FF
# But there aren't any armored detached signing files (*.asc), thus we can't use
# any cryptographic signature verification and don't use 'pgpsigurlmangle'.

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=3
opts="uversionmangle=s/-beta/~beta/;s/\.-beta\d//;s/\.+$//" \
  https://github.com/Kopano-dev/kopano-core/tags .*/kopanocore-(\d\.\d\.\d(-beta\d)?)\.tar\.[gx]z
